POST ticket/clubcard/payByClubcard/{appId}/{auth}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| appId | integer |
Required |
|
| auth | string |
Required |
Body Parameters
PayByClubcardRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| sessionId | globally unique identifier |
None. |
|
| clubcardId | globally unique identifier |
None. |
|
| paymentType | ClubcardPaymentType |
None. |
|
| objectId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"sessionId": "5e05149e-e163-41c5-8c1c-e1f3404d4c1f",
"clubcardId": "cd3f878b-204c-4ecd-9368-368cba8166d2",
"paymentType": 1,
"objectId": "58af33b4-685b-41c5-985d-70252eb10c84"
}
application/xml, text/xml
Sample:
<PayByClubcardRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models"> <clubcardId>cd3f878b-204c-4ecd-9368-368cba8166d2</clubcardId> <objectId>58af33b4-685b-41c5-985d-70252eb10c84</objectId> <paymentType>MovieTicket</paymentType> <sessionId>5e05149e-e163-41c5-8c1c-e1f3404d4c1f</sessionId> </PayByClubcardRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
PayByClubcardResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| result | ClubcardResult |
None. |
|
| itemType | integer |
None. |
|
| objectId | globally unique identifier |
None. |
|
| paymentId | globally unique identifier |
None. |
|
| downloadPage | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"result": {
"code": 0,
"message": "sample string 1"
},
"itemType": 1,
"objectId": "30595866-1eab-4364-a1e3-fdfe538f65b3",
"paymentId": "9f69f692-472d-434a-a1ea-f61d06896460",
"downloadPage": "sample string 4"
}
application/xml, text/xml
Sample:
<PayByClubcardResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models">
<downloadPage>sample string 4</downloadPage>
<itemType>1</itemType>
<objectId>30595866-1eab-4364-a1e3-fdfe538f65b3</objectId>
<paymentId>9f69f692-472d-434a-a1ea-f61d06896460</paymentId>
<result>
<code>OK</code>
<message>sample string 1</message>
</result>
</PayByClubcardResponse>